OpenTTD Source: SlIndustryAccepted Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Member Functions | Static Public Attributes
SlIndustryAccepted Class Reference
Inheritance diagram for SlIndustryAccepted:

## Public Member Functions
std::vector< Industry::AcceptedCargo > & | GetVector (Industry *i) const override
| Get instance of vector to load/save.
Public Member Functions inherited from VectorSaveLoadHandler< SlIndustryAccepted, Industry, Industry::AcceptedCargo, INDUSTRY_NUM_INPUTS >
virtual size_t | GetLength () const
| Get number of elements to load into vector.
void | Save (Industry *object) const override
void | Load (Industry *object) const override
Public Member Functions inherited from DefaultSaveLoadHandler< TImpl, TObject >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (TObject *object) const
void | Save (void *object) const override
| Save the object to disk.
virtual void | Load (TObject *object) const
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (TObject *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (TObject *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Member Functions
static void | ResetOldStructure ()

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _industry_accepts_sl_compat
static std::array< CargoType, INDUSTRY_NUM_INPUTS > | old_cargo
static std::array< uint16_t, INDUSTRY_NUM_INPUTS > | old_waiting
static std::array< TimerGameEconomy::Date, INDUSTRY_NUM_INPUTS > | old_last_accepted

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 58 of file industry_sl.cpp.

## Member Function Documentation

## ◆ GetVector()

std::vector< Industry::AcceptedCargo > & SlIndustryAccepted::GetVector | ( | Industry * | object | ) | const
| inlineoverridevirtual

Get instance of vector to load/save.

Parameters

  object | Object containing vector.

Returns
  Vector to load/save.

Implements VectorSaveLoadHandler< SlIndustryAccepted, Industry, Industry::AcceptedCargo, INDUSTRY_NUM_INPUTS >.

Definition at line 69 of file industry_sl.cpp.

References Industry::accepted.

## ◆ ResetOldStructure()

static void SlIndustryAccepted::ResetOldStructure | ( |  | ) |
| inlinestatic

Definition at line 76 of file industry_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlIndustryAccepted::compat_description = _industry_accepts_sl_compat
| inlinestatic

Definition at line 67 of file industry_sl.cpp.

## ◆ description

const SaveLoad SlIndustryAccepted::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Industry::AcceptedCargo, cargo, SLE_UINT8),
SLE_VAR(Industry::AcceptedCargo, waiting, SLE_UINT16),
SLE_VAR(Industry::AcceptedCargo, last_accepted, SLE_INT32),
SLE_CONDVAR(Industry::AcceptedCargo, accumulated_waiting, SLE_UINT32, SLV_INDUSTRY_ACCEPTED_HISTORY, SL_MAX_VERSION),
SLEG_CONDSTRUCTLIST("history", SlIndustryAcceptedHistory, SLV_INDUSTRY_ACCEPTED_HISTORY, SL_MAX_VERSION),
}
SlIndustryAcceptedHistory
Definition industry_sl.cpp:22
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SLV_INDUSTRY_ACCEPTED_HISTORY
@ SLV_INDUSTRY_ACCEPTED_HISTORY
357 PR#14321 Add per-industry history of cargo delivered and waiting.
Definition saveload.h:408
SLEG_CONDSTRUCTLIST
#define SLEG_CONDSTRUCTLIST(name, handler, from, to)
Storage of a list of structs in some savegame versions.
Definition saveload.h:1193
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Industry::AcceptedCargo
Definition industry.h:85

Definition at line 60 of file industry_sl.cpp.

## ◆ old_cargo

std::array<CargoType, INDUSTRY_NUM_INPUTS> SlIndustryAccepted::old_cargo
| inlinestatic

Definition at line 72 of file industry_sl.cpp.

## ◆ old_last_accepted

std::array<TimerGameEconomy::Date, INDUSTRY_NUM_INPUTS> SlIndustryAccepted::old_last_accepted
| inlinestatic

Definition at line 74 of file industry_sl.cpp.

## ◆ old_waiting

std::array<uint16_t, INDUSTRY_NUM_INPUTS> SlIndustryAccepted::old_waiting
| inlinestatic

Definition at line 73 of file industry_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/industry_sl.cpp